<?php
$name = $_REQUEST['name'];


function removeCrapFromToolTip( $input){

    for ( $counter = 0; $counter <= strlen($input); $counter += 1) {
      $aChar = substr( $input, $counter, 1);


            if (
               ((ord($aChar) < 65 ) or (ord($aChar) > 90 )) and // A..Z
               ((ord($aChar) < 97 ) or (ord($aChar) > 122 )) and  // a..z
               ((ord($aChar) < 48 ) or (ord($aChar) > 57 )) and // 1..9

               (ord($aChar) != 32) and
               (ord($aChar) != 60) and
               (ord($aChar) != 62) and
               (ord($aChar) != 38) and
               (ord($aChar) != 124) and
               (ord($aChar) != 43) and // +
               (ord($aChar) != 47) and // /

               (ord($aChar) != 58) and // :
               (ord($aChar) != 46) and // .
               (ord($aChar) != 0) and // NULL
               (ord($aChar) != 13) and // NULL

               (ord($aChar) != 9)

               ) {
                 $aChar = '';

                       }
            else {
              $output.=$aChar;
            }

    }

    return $output;
}

function sortOutTooltip( $input, $color, $owner){
  $input = str_replace( chr(13), '',  $input);
  $input = str_replace( chr(39), '',  $input);
  $input = str_replace( chr(60), '',  $input);
  $input = str_replace( chr(62), '',  $input);


  $tooltip = '<span class=\"$class\" style=\"color:black; padding-bottom: 2; padding-top: 2; padding-left: 10; padding-right: 10;text-align: center; background-color: white; width: 100; font-size: 10px;\">'.$owner.'</span><BR>';

  $first_line = True;
  foreach (explode(chr(10), $input) as $line ) {
          $class='tooltipline';
          if( $first_line ) {
                  $color = substr( $color, 2, 6 ) . '; font-weight: bold';
                  $first_line = False;
                  $class='tooltipheader';
          } else {
                  if( substr( $line, 0, 2 ) == '|c' ) {
                          $color = substr( $line, 4, 6 ).'; font-size: 10px;';
                          $line = substr( $line, 10, -2 );
                  } else if ( substr( $line, 0, 4 ) == 'Use:' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 8 ) == 'Requires' ) {
                          $color = 'ff0000; font-size: 10px;';
                  } else if ( substr( $line, 0, 10 ) == 'Reinforced' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 6 ) == 'Equip:' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 6 ) == 'Chance' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 8 ) == 'Enchant:' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 9 ) == 'Soulbound' ) {
                          $color = '00ffff; font-size: 10px;';
                  } else {
                          $color='ffffff; font-size: 10px;';
                  }
          }
          $line = preg_replace('|\\>|','&#8250;', $line );
          $line = preg_replace('|\\<|','&#8249;', $line );
          if( $line != '') {
                  $tooltip = $tooltip."<span class=\"$class\" style=\"color:#$color\">$line</span><br>";
          }
  }




  $tooltip = str_replace( '"', '&quot;', $tooltip);
  $tooltip = str_replace( chr(10), '', $tooltip);

  return $tooltip;
//  return 'MYTOOLTIP';
}

function createBigTooltip($tooltip1, $color1, $owner1, $tooltip2, $color2, $owner2){
   return '<table><tr><td valign=top width=50%>'.sortOutTooltip($tooltip1,$color1, $owner1).
           '</td><td valign=top width=50%>'.sortOutTooltip($tooltip2,$color2,  $owner2).'</td></tr></table>';
}

function outputIconAndTooltip( $position, $row, $tooltip){
        global $roster_conf;

         $result = '';

         if (isset($row)){
           $path = $roster_conf['img_url'].preg_replace('|\\\\|','/', $row['item_texture']).'.'.$roster_conf['img_suffix'];
           $result.= '<span style="z-index: 1000;" onMouseover="return overlib(\''.$tooltip.'\', WIDTH, 400);" onMouseout="return nd();">'."\n";

           extract($GLOBALS);
           $result.= '<a href="'.$itemlink.urlencode($row['item_name']).'" target="_thottbot">'."\n".
                       '<img src="'.$path.'" class="icon"'." /></a>";
           $result.= '</span>';
         } else {
             $result.= '<span style="z-index: 1000;" onMouseover="return overlib(\''.$position.': No&nbsp;item&nbsp;equipped\',WIDTH,10); "onMouseout="return nd();">';
             $result.= '<img src="'.$roster_conf['img_url'].'Interface/EmptyEquip/'.$position.'.gif" class="icon" /></a>';
             $result.= '</span>';
         }
     return $result;
}

function outputItems( $position, $row1, $row2 ) {
         $tooltip = createBigTooltip($row1['item_tooltip'],$row1['item_color'], $row1['name'],
                                          $row2['item_tooltip'],$row2['item_color'], $row2['name']);
         $result = outputIconAndTooltip($position, $row1, $tooltip) . outputIconAndTooltip($position, $row2, $tooltip);
//         $result .= ;
         return $result;
}

function item_get_two( $position, $row1, $row2 ) {
  return outputItems($position, $row1, $row2);
}

function fixTooltip($input){
    $output = $input;
    $output= str_replace( chr(60), '&lt;',  $output);
    $output= str_replace( chr(62), '&gt;',  $output);
    $output= str_replace( chr(39), '&apos;',  $output);
    $output= str_replace( '&', '&amp;',  $output);

    $output= str_replace( chr(10), '<BR>',  $output);
    $output= str_replace( chr(13), '',  $output);
    return $output;
}

function getTooltip( $row1, $row2){
  $return=  '';
  $return.= '<table><tr>';
  $return.= '<td width=50% valign=top>'.fixWord($row1['item_tooltip']).'</td>';
  $return.= '<td width=50% valign=top>'.fixWord($row2['item_tooltip']).'</td>';
  $return.= '</tr></table>';
  return $return;

}

function output_dual_item( $position, $row1, $row2, $header1, $header2) {
 $return='';
 $return .= item_get_two( $position, $row1, $row2);
  return $return;
}

function character_equipment($char_name1,$char_name2) {
        global $wowdb;
        
        $query= "select item_name, item_parent, item_slot, item_color, item_id, item_texture, item_quantity, item_tooltip, i.member_id, p.name
                 from `".ROSTER_ITEMSTABLE."` i, `".ROSTER_PLAYERSTABLE."` p
                 where i.member_id = p.member_id
                       and p.name = '$char_name1'
                       and i.item_parent = 'equip'";
        if ($roster_conf['sqldebug'])
            $content .= ("<!--$query-->\n");

        $result=$wowdb->query($query) or  die_quietly($wowdb->error());
        if ($result) {
                while ($row1=$wowdb->fetch_assoc($result)) {
                        $equip_array[$row1['item_slot']]=$row1;
                }
        }


       $query= "select item_name, item_parent, item_slot, item_color, item_id, item_texture, item_quantity, item_tooltip, i.member_id, p.name
                 from `".ROSTER_ITEMSTABLE."` i, `".ROSTER_PLAYERSTABLE."` p
                 where i.member_id = p.member_id
                       and p.name = '$char_name2'
                       and i.item_parent = 'equip'";

        if ($roster_conf['sqldebug'])
            $content .= ("<!--$query-->\n");

        if ($result=$wowdb->query($query)) {
                while ($row2=$wowdb->fetch_assoc($result)) {
                        $equip_array2[$row2['item_slot']]=$row2;
                }
        }

        $return.="<table>";
        $return.="<tr><th>Head</th><td>";
        $return.=output_dual_item('Head', $equip_array['Head'], $equip_array2['Head'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Hands', $equip_array['Hands'], $equip_array2['Hands'], $char_name1, $char_name2);
        $return.="</td><th>Hands</th></tr><tr><th>Neck</th><td>";
        $return.=output_dual_item('Neck', $equip_array['Neck'], $equip_array2['Neck'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Waist', $equip_array['Waist'], $equip_array2['Waist'], $char_name1, $char_name2);
        $return.="</td><th>Waist</th></tr><tr><th>Shoulder</th><td>";
        $return.=output_dual_item('Shoulder', $equip_array['Shoulder'], $equip_array2['Shoulder'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Legs', $equip_array['Legs'], $equip_array2['Legs'], $char_name1, $char_name2);
        $return.="</td><th>Legs</th></tr><tr><th>Back</th><td>";
        $return.=output_dual_item('Back', $equip_array['Back'], $equip_array2['Back'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Feet', $equip_array['Feet'], $equip_array2['Feet'], $char_name1, $char_name2);
        $return.="</td><th>Feet</th></tr><tr><th>Chest</th><td>";
        $return.=output_dual_item('Chest', $equip_array['Chest'], $equip_array2['Chest'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Finger0', $equip_array['Finger0'], $equip_array2['Finger0'], $char_name1, $char_name2);
        $return.="</td><th>Finger</th></tr><tr><th>Shirt</th><td>";
        $return.=output_dual_item('Shirt', $equip_array['Shirt'], $equip_array2['Shirt'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Finger1', $equip_array['Finger1'], $equip_array2['Finger1'], $char_name1, $char_name2);
        $return.="</td><th>Finger</th></tr><tr><th>Tabard</th><td>";
        $return.=output_dual_item('Tabard', $equip_array['Tabard'], $equip_array2['Tabard'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Trinket0', $equip_array['Trinket0'], $equip_array2['Trinket0'], $char_name1, $char_name2);
        $return.="</td><th>Trinket</th></tr><tr><th>Wrist</th><td>";
        $return.=output_dual_item('Wrist', $equip_array['Wrist'], $equip_array2['Wrist'], $char_name1, $char_name2);
        $return.="</td><td colspan=4></td><td>";
        $return.=output_dual_item('Trinket1', $equip_array['Trinket1'], $equip_array2['Trinket1'], $char_name1, $char_name2);
        $return.="</td><th>Trinket</th></tr><tr><td colspan=2></td><td>";
        $return.=output_dual_item('MainHand', $equip_array['MainHand'], $equip_array2['MainHand'], $char_name1, $char_name2);
        $return.="</td><td>";
        $return.=output_dual_item('SecondaryHand', $equip_array['SecondaryHand'], $equip_array2['SecondaryHand'], $char_name1, $char_name2);
        $return.="</td><td>";
        $return.=output_dual_item('Ranged', $equip_array['Ranged'], $equip_array2['Ranged'], $char_name1, $char_name2);
        $return.="</td></tr>
                    <tr>
                    <td></td>
                    <td></td>
                    <td align=center>Main Hand</td>
                    <td align=center>Second Hand</td>
                    <td align=center>Ranged</td>
                    <td></td>
                    <td></td>
                    </tr></table>";

        return $return;
}

$content .= '<div align="center">';

//<table border="0" cellpadding="0" cellspacing="0">


//if($show_charPageLogo) {
//        print '<tr><td valign="top" align="center">
//
//    <br><br>
//  </td></tr>';
//}

$server_name_escape = $wowdb->escape($roster_conf['server_name']);
$guild_name_escape = $wowdb->escape($roster_conf['guild_name']);
$query2 = "SELECT guild_id, DATE_FORMAT(update_time, '".$timeformat[$lang]."') from `".ROSTER_GUILDTABLE."` where guild_name= '$guild_name_escape' and server='$server_name_escape'";

if ($roster_conf['sqldebug'])
    $content .= ("<!--$query2-->\n");

$result2 = $wowdb->query($query2) or die_quietly($wowdb->error());
if ($row2 = $wowdb->fetch_row($result2)) {
        $guildId = $row2[0];
        $updateTime = $row2[1];
} else {
        die("Could not find guild:'".$roster_conf['guild_name']."' for server ;".$roster_conf['server_name']."'. You need to load your guild first and make sure you finished configuration.");
}

$content .= "<br>\n";



//                echo '<table><tr><td>';


                if ( isset($_REQUEST["char1"]) and isset($_REQUEST["char2"])) {
                  $content .= character_equipment($_REQUEST["char1"],$_REQUEST["char2"]);
                }
//                echo '</td></tr></table>';


  //

//                </td>
//        </tr>
//</table>

$content .= '</div>';

$query = "SELECT member_id, name, class, level from `".ROSTER_PLAYERSTABLE."` order by name";

if ($roster_conf['sqldebug'])
    $content .= ("<!--$query-->\n");

  $result = $wowdb->query($query) or die_quietly($wowdb->error());

$content .= "<br>\n";
$content .= "<br>\n";
$content .= "<div align=\"center\">\n";
$content .= "<form action=\"addon.php\" method=GET name=myform>\n";
$content .= "<input type=\"hidden\" name=\"roster_addon_name\" value=\"compare\">\n";
$content .= "<select name=\"char1\">\n";
while($row = $wowdb->fetch_array($result)){
    if ($_REQUEST["char1"]==$row["name"])
      $content .= '<option VALUE="'.$row["name"].'" selected>'.$row["name"].'('.$row["level"].') - '.$row["class"]."\n";
    else
      $content .= '<option VALUE="'.$row["name"].'">'.$row["name"].'('.$row["level"].') - '.$row["class"]."\n";
}


$wowdb->data_seek($result, 0);

$content .= "</select>\n";

$content .= "<select name=\"char2\">\n";

while($row = $wowdb->fetch_array($result)){

    if ($_REQUEST["char2"]==$row["name"])
      $content .= '<option VALUE="'.$row["name"].'" selected>'.$row["name"].'('.$row["level"].') - '.$row["class"]."\n";
    else
      $content .= '<option VALUE="'.$row["name"].'">'.$row["name"].'('.$row["level"].') - '.$row["class"]."\n";
}
$content .= "</select>\n";

$content .= "<input type=\"submit\" value=\"Show\" />\n";
$content .= "</form>\n";
$content .= "</div>\n";
?>
